## org.h2.dev.store.btree
Class Dump

    java.lang.Object
      org.h2.dev.store.btree.Dump

    public class Dump

extends java.lang.Object

Convert a database file to a human-readable text dump.

Constructor Summary
`Dump()`

Method Summary
`static void` `dump(java.lang.String fileName, java.io.PrintWriter writer)` Dump the contents of the file.
`static void` `main(java.lang.String... args)` Runs this tool.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Dump

    public Dump()

Method Detail

### main

    public static void main(java.lang.String... args)

  Runs this tool. Options are case sensitive. Supported options are:

  [-file] | The database file name

  Parameters:
    `args` - the command line arguments

### dump

    public static void dump(java.lang.String fileName,
                            java.io.PrintWriter writer)

  Dump the contents of the file.

  Parameters:
    `fileName` - the name of the file
    `writer` - the print writer